struct pidState{
    key : f64,                                  //    
    state : str,                                //  "pending" 待安排, "progress" 进行中 , "end" 已结束
    pidType: str,                               //  "regular" 固定pid，"normal" 非固定pid
} 

//

#[primary=key,db=memory]
struct PidFight{
    key : str,                                      // "pid_fight"
    pids : HashMap<f64,pidState>,                   // 虚拟机列表
} 

#[primary=key,db=logfile]
struct FightList{
    id: Option<u32>,
    key : str,                                      //  [keyId,index]
    rid: u32,                                       //  攻方rid
    otherRid: Option<u32>,                          //  守方rid 不传默认rid为攻方rid
    attackTeam: Option<Json>,                       //  攻方队伍
    defendTeam: Option<Json>,                       //  守方队伍
    attackAttr: Option<Json>,                       //  攻方属性
    defendAttr: Option<Json>,                       //  守方属性
    seed : Option<f64>,                             //  战斗种子
    from : str,                                     //  来源  hdmj 混沌秘境
    fightType: Option<str>,                         //  pvp | pve，不传默认为pve
    fightStartNeedChangeAttr: Option<Json>,         //  战斗开始时需要改变的属性
    otherAttr: Option<Json>,                        //  特殊属性，例如十凶试炼的属性加成
    attackDdzl: Option<f64>,                        //  攻方大道之力
    defendDdzl: Option<f64>,                        //  守方大道之力
    state : str,                                    //  "pending" 待安排, "progress" 进行中 , "end" 已结束
    fKey: u32,                                      //  功能编队key
    teamNo: u32,                                    //  第几支队伍
    mqttNotifyName: Option<str>,                    //  rpc事件监听的方法api名称
}

